import acm.program.*;

/* A program that computes factorials. */
public class Factorial extends ConsoleProgram {
	public void run() {
		int n = readInt("Enter n: ");
		
		println(n + "! = " + factorial(n));
	}
	
	/**
	 * Computes and returns n!
	 *
	 * @param n The value whose factorial should be computed.
	 * @return n!
	 */
	private int factorial(int n) {
		int result = 1;
		
		/* Multiply in all numbers between 1 and n, inclusive. */
		for (int i = 1; i <= n; i++) {
			result *= i;
		}
		return result;
	}
}
